//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_DataContainerWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(DataContainer), typeof(UnityEngine.MonoBehaviour));
		L.RegVar("floatValue",FUNCTAG_get_floatValue, FUNCTAG_set_floatValue);
		L.RegVar("gameObjectValue",FUNCTAG_get_gameObjectValue, FUNCTAG_set_gameObjectValue);
		L.RegVar("animatorOverrideController",FUNCTAG_get_animatorOverrideController, FUNCTAG_set_animatorOverrideController);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_floatValue(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			DataContainer obj = (DataContainer)o;
			float ret = obj.floatValue;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index floatValue on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_gameObjectValue(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			DataContainer obj = (DataContainer)o;
			UnityEngine.GameObject ret = obj.gameObjectValue;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index gameObjectValue on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_animatorOverrideController(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			DataContainer obj = (DataContainer)o;
			UnityEngine.AnimatorOverrideController ret = obj.animatorOverrideController;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index animatorOverrideController on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_floatValue(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			DataContainer obj = (DataContainer)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.floatValue = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index floatValue on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_gameObjectValue(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			DataContainer obj = (DataContainer)o;
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckUnityObject(L, 2, typeof(UnityEngine.GameObject));
			obj.gameObjectValue = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index gameObjectValue on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_animatorOverrideController(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			DataContainer obj = (DataContainer)o;
			UnityEngine.AnimatorOverrideController arg0 = (UnityEngine.AnimatorOverrideController)ToLua.CheckUnityObject(L, 2, typeof(UnityEngine.AnimatorOverrideController));
			obj.animatorOverrideController = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index animatorOverrideController on a nil value" : e.Message);
		}
	}
}

